# 数据大屏 组件库

```sh
npm i datav-screen-lib
yarb add datav-screen-lib
```

## 全局使用

```js
import DatavScreen from "datav-screen-lib";
Vue.use(DatavScreen);
```

## 按需引用

```md
暂不支持 按需引用
```

## 组件列表

```md
datav-container
```

### datav-container（数据大屏外部盒子）

```html
<datav-container
  class="container"
  id="main"
  :options="{ width: 1920, height: 1080 }"
>
  <!-- options 里面宽高是 设计稿宽高，开发时直接使用 px 即可，无需换算 百分比，也无需使用 rem -->
</datav-container>
<style>
  .container {
    position: fixed;
    left: 0;
    top: 0;
    overflow: hidden;
    transform-origin: left top;
    z-index: 999;
    background: #032839;
    overflow: hidden;
  }
</style>
```
